/* 
 * Скрипт для php виджета mytables
 */
jQuery(document).ready(function() {

	//сортировка для таблиц
	jQuery('.stdtable th.sorting,.stdtable th.sorting_desc,.stdtable th.sorting_asc').click(function() {
		location.href = jQuery(this).attr('rel');
	});

	//вывод записей на странице для таблиц
	jQuery('.tableoptions select[name=dyntable_length]').change(function() {
		var link = jQuery(this).attr('rel');
		link = link.replace('rows=value', 'rows=' + this.value);
		location.href = link;
	});

	jQuery('.stdtable .checkall').click(function() {
		var parentTable = jQuery(this).parents('table');
		var ch = parentTable.find('tbody input[type=checkbox]');
		if (jQuery(this).is(':checked')) {

			//check all rows in table
			ch.each(function() {
				jQuery(this).attr('checked', true);
				jQuery(this).parent().addClass('checked');	//used for the custom checkbox style
				jQuery(this).parents('tr').addClass('selected');
			});

			//check both table header and footer
			parentTable.find('.checkall').each(function() {
				jQuery(this).attr('checked', true);
			});

		} else {

			//uncheck all rows in table
			ch.each(function() {
				jQuery(this).attr('checked', false);
				jQuery(this).parent().removeClass('checked');	//used for the custom checkbox style
				jQuery(this).parents('tr').removeClass('selected');
			});

			//uncheck both table header and footer
			parentTable.find('.checkall').each(function() {
				jQuery(this).attr('checked', false);
			});
		}
	});


	///// PERFORMS CHECK/UNCHECK BOX /////
	jQuery('.stdtable tbody input[type=checkbox]').click(function() {
		if (jQuery(this).is(':checked')) {
			jQuery(this).parents('tr').addClass('selected');
		} else {
			jQuery(this).parents('tr').removeClass('selected');
		}
	});
	
	//выделение строк таблицы
	jQuery('.stdtable tr').mouseover(function(){
		jQuery(this).addClass('selected');
	}).mouseout(function(){
		jQuery(this).removeClass('selected');
	});
	


});


	//сбор чекбоксов и переход на событие
	function checkbox_action(confirm_txt){
		//сбор чекбоксов
		var a = '';
		jQuery('#dyntable_wrapper').find('tbody .checked input[type=checkbox]').each(function() {
			a = a + this.name.replace('row','') + ',';	
		});
		
		if(a > ''){
			//сохранение в скрытом поле
			jQuery('input[name=check_ids]').val(a);	

			//подтверждение формы
			if(confirm(confirm_txt) == true)
				jQuery('#check_ids_form').submit();
			else
				return;
		}
		else{
			alert('Не выбраны записи для выполнения действия');
		}
	}

